#include "ConfigurationFactory1.h"

// Author: Steve Talbot

ConfigurationFactory1:: ConfigurationFactory1(){
}

ConfigurationFactory1:: ~ConfigurationFactory1(){
}

login_a* ConfigurationFactory1:: makeLogin(){

	return new login_1();

}

pin_a* ConfigurationFactory1:: makePin(){

	return new pin_1();

}

deposit_a* ConfigurationFactory1:: makeDeposit(){

	return new deposit_1();

}

withdraw_a* ConfigurationFactory1:: makeWithdraw(){

	return new withdraw_1();

}

balance_a* ConfigurationFactory1:: makeBalance(){

	return new balance_1();

}

prompt_for_pin_a* ConfigurationFactory1:: makePromptForPin(){

	return new prompt_for_pin_1();

}

incorrect_id_msg_a* ConfigurationFactory1:: makeIncorrectIdMsg(){

	return new incorrect_id_msg_1();

}

incorrect_pin_msg_a* ConfigurationFactory1:: makeIncorrectPinMsg(){

	return new incorrect_pin_msg_1();

}

too_many_attempts_msg_a* ConfigurationFactory1:: makeTooManyAttemptsMsg(){

	return new too_many_attempts_msg_1();

}

display_menu_a* ConfigurationFactory1:: makeDisplayMenu(){

	return new display_menu_1();

}

deactivate_msg_a* ConfigurationFactory1:: makeDeactivateMsg(){

	return new deactivate_msg_1();

}

make_withdraw_a* ConfigurationFactory1:: makeMakeWithdraw(){

	return new make_withdraw_1();

}

penalty_a* ConfigurationFactory1:: makePenalty(){

	return new penalty_1();

}

make_deposit_a* ConfigurationFactory1:: makeMakeDeposit(){

	return new make_deposit_1();

}

display_balance_a* ConfigurationFactory1:: makeDisplayBalance(){

	return new display_balance_1();

}

below_min_balance_msg_a* ConfigurationFactory1:: makeBelowMinBalance(){

	return new below_min_balance_msg_1();

}

activate_msg_a* ConfigurationFactory1:: makeActivateMsg(){

	return new activate_msg_1();

}

inactive_account_msg_a* ConfigurationFactory1:: makeInactiveAccountMsg(){

	return new inactive_account_msg_1();

}
